# openexr
%define api		2_5
%define major		25
%define libname		%mklibname ilmimf %{major}
%define develname	%mklibname %{name} -d

# ilmbase
%define ilm_major	25
%define libname_ilm	%mklibname ilmbase %{ilm_major}
%define develname_ilm	%mklibname ilmbase -d

Name:		openexr
Summary:	A high dynamic-range (HDR) image file format
Version:	2.5.7
Release:	%mkrel 2
Group:	System/Libraries
License:	BSD
URL:		https://www.openexr.com
Source0:	https://github.com/AcademySoftwareFoundation/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:		CVE-2021-3478-pre1.patch
Patch1:		CVE-2021-3478.patch

BuildRequires:	cmake
BuildRequires:	zlib1-devel

Provides:	OpenEXR = %{version}-%{release}

%description
Industrial Light & Magic developed the OpenEXR format in response to the demand
for higher color fidelity in the visual effects industry.

### openexr

%package -n	%{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	OpenEXR-devel = %{version}-%{release}
Provides:  lib64OpenEXR-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

### ilmbase

%package -n	%{libname_ilm}
Summary:	Dynamic libraries from ilmbase
Group:		System/Libraries

%description -n	%{libname_ilm}
Dynamic libraries from ilmbase.

%package -n	%{develname_ilm}
Summary:	Header files and static libraries from ilmbase
Group:		Development/Libraries
Requires:	%{libname_ilm} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	libilmbase-devel = %{version}-%{release}
Provides:	ilmbase-devel = %{version}-%{release}

%description -n	%{develname_ilm}
Libraries and includes files for developing programs based on ilmbase.

%prep
%setup -q
%apply_patches

%build
%cmake
%cmake_build

%install
rm -rf %buildroot
%cmake_install

# Remove doc files installed by make install, we package them in %%files
rm -rf %{buildroot}%{_docdir}

#remove python stuff we don't need
rm -f %{buildroot}/%{_includedir}/OpenEXR/Py*.h
rm -f %{buildroot}/%{_libdir}/cmake/PyIlmBase/*.cmake
rm -f %{buildroot}/%{_libdir}/libPy*
rm -f %{buildroot}/%{_libdir}/pkgconfig/PyIlmBase.pc
rm -f %{buildroot}/%{_libdir}/python2.7/site-packages/iex.so
rm -f %{buildroot}/%{_libdir}/python2.7/site-packages/imath.so
rm -f %{buildroot}/%{_libdir}/python3.6/site-packages/iex.so
rm -f %{buildroot}/%{_libdir}/python3.6/site-packages/imath.so

%files
%{_bindir}/exr*

%files -n %{libname}
%{_libdir}/libIlmImf-%{api}.so.%{major}*
%{_libdir}/libIlmImfUtil-%{api}.so.%{major}*

%files -n %{develname}
%dir %{_includedir}/OpenEXR
%{_includedir}/OpenEXR/Imf*.h
%{_includedir}/OpenEXR/OpenEXRConfig.h
%{_libdir}/libIlmImf.so
%{_libdir}/libIlmImf-%{api}.so
%{_libdir}/libIlmImfUtil.so
%{_libdir}/libIlmImfUtil-%{api}.so
%{_libdir}/pkgconfig/OpenEXR.pc
%{_libdir}/cmake/OpenEXR/

%files -n %{libname_ilm}
%{_libdir}/libHalf-%{api}.so.%{ilm_major}*
%{_libdir}/libIex-%{api}.so.%{ilm_major}*
%{_libdir}/libIexMath-%{api}.so.%{ilm_major}*
%{_libdir}/libIlmThread-%{api}.so.%{ilm_major}*
%{_libdir}/libImath-%{api}.so.%{ilm_major}*

%files -n %{develname_ilm}
%{_includedir}/OpenEXR/half*.h
%{_includedir}/OpenEXR/Iex*.h
%{_includedir}/OpenEXR/Ilm*.h
%{_includedir}/OpenEXR/Imath*.h
%{_libdir}/libHalf.so
%{_libdir}/libHalf-%{api}.so
%{_libdir}/libIex.so
%{_libdir}/libIex-%{api}.so
%{_libdir}/libIexMath.so
%{_libdir}/libIexMath-%{api}.so
%{_libdir}/libIlmThread.so
%{_libdir}/libIlmThread-%{api}.so
%{_libdir}/libImath.so
%{_libdir}/libImath-%{api}.so
%{_libdir}/pkgconfig/IlmBase.pc
%{_libdir}/cmake/IlmBase/


%changelog
* Sat Jul 10 2021 tex - 2.5.7-2pclos2021
- add prov  lib64OpenEXR-devel

* Fri Jul 09 2021 tex - 2.5.7-1pclos2021
- new version
